#include<stdio.h>
main(){
	long long unsigned n,m,b=0;
	scanf("%llu%llu",&n,&m);
		if(n==1 || m==1){
			if(n>m){
				b=n;
			}
			else{
				b=m;
			}
		}
		else{
			b=2*n+2*(m-2);
			b=b+((n-2)*(m-2))/2;
		}
		printf("%llu",b);	
}